Bug 352371 - Adding a favorite crashes the application.
Adding a favorite crashes the application.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vinagre (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-10-25 10:28 EDT by Jesse Keating
Modified: 2013-01-09 21:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 12:10:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-10-25 10:28:56 EDT
Summary says it all.  Easily repeatable.
Comment 1 Bastien Nocera 2007-10-25 10:44:57 EDT
Nope, can't reproduce here, using vinagre.x86_64 0:0.3-1.fc8

Could you please get a backtrace and step-by-step instructions to reproduce the bug?
Comment 2 Jesse Keating 2007-10-25 11:21:50 EDT
Launch vinagre, connect to vnc server (qemu-kvm with vnc output running on
another host).  Select Favorites -> add to favories, fill in a name hit OK.

See http://jkeating.fedorapeople.org/vinagre-favorites-crash.ogg

One thought is that since a non-default port is being used (5901) that this is
throwing off the app?

Distribution: Fedora release 8 (Werewolf)
Gnome Release: 2.20.1 2007-10-15 (Red Hat, Inc)
BugBuddy Version: 2.20.0

System: Linux 2.6.23.1-31.fc8 #1 SMP Tue Oct 23 14:54:38 EDT 2007 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Permissive
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Bluecurve

Memory status: size: 306438144 vsize: 306438144 resident: 17485824 share:
11735040 rss: 17485824 rss_rlim: 18446744073709551615
CPU usage: start_time: 1193324976 rtime: 47 utime: 41 stime: 6 cutime:0 cstime:
0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/vinagre'

[?1034hUsing host libthread_db library "/lib64/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 46912618729792 (LWP 30225)]
0x00002aaaae44a085 in waitpid () from /lib64/libpthread.so.0
#0  0x00002aaaae44a085 in waitpid () from /lib64/libpthread.so.0
#1  0x00002aaaae1d30f6 in IA__g_spawn_sync (working_directory=<value optimized
out>, argv=<value optimized out>, envp=0x0, 
    flags=<value optimized out>, child_setup=<value optimized out>,
user_data=<value optimized out>, standard_output=0x0, 
    standard_error=0x0, exit_status=0x0, error=0x7fffa6de0838) at gspawn.c:369
#2  0x00002aaaae1d33f8 in IA__g_spawn_command_line_sync (command_line=<value
optimized out>, standard_output=0x0, 
    standard_error=0x0, exit_status=0x0, error=0x7fffa6de0838) at gspawn.c:677
#3  0x00002aaab6c113f6 in gtk_main_quit () at gtkmain.c:1213
#4  <signal handler called>
#5  0x0000000000408c26 in vinagre_favorites_add (conn=0xa185e0, window=<value
optimized out>) at vinagre-favorites.c:162
#6  0x0000000000406a4d in vinagre_cmd_favorites_add (action=<value optimized
out>, window=0x65a000) at vinagre-commands.c:167
#7  0x00002aaaadb371a9 in IA__g_closure_invoke (closure=0x6bae00,
return_value=0x0, n_param_values=1, 
    param_values=0x7fffa6de10e0, invocation_hint=0x7fffa6de0fb0) at gclosure.c:490
#8  0x00002aaaadb46831 in signal_emit_unlocked_R (node=0x67a600, detail=0,
instance=0x6b23c0, emission_return=0x0, 
    instance_and_params=0x7fffa6de10e0) at gsignal.c:2440
#9  0x00002aaaadb47c73 in IA__g_signal_emit_valist (instance=0x6b23c0,
signal_id=<value optimized out>, detail=0, 
    var_args=0x7fffa6de1360) at gsignal.c:2199
#10 0x00002aaaadb47e43 in IA__g_signal_emit (instance=0x2aaaae9aa980,
signal_id=9185584, detail=33) at gsignal.c:2243
#11 0x00002aaaac1e2333 in _gtk_action_emit_activate (action=0x6b23c0) at
gtkaction.c:872
#12 0x00002aaaadb371a9 in IA__g_closure_invoke (closure=0x6c2380,
return_value=0x0, n_param_values=1, 
    param_values=0x7fffa6de16e0, invocation_hint=0x7fffa6de15b0) at gclosure.c:490
#13 0x00002aaaadb46831 in signal_emit_unlocked_R (node=0x6c0600, detail=0,
instance=0x708020, emission_return=0x0, 
    instance_and_params=0x7fffa6de16e0) at gsignal.c:2440
#14 0x00002aaaadb47c73 in IA__g_signal_emit_valist (instance=0x708020,
signal_id=<value optimized out>, detail=0, 
    var_args=0x7fffa6de1960) at gsignal.c:2199
#15 0x00002aaaadb47e43 in IA__g_signal_emit (instance=0x2aaaae9aa980,
signal_id=9185584, detail=33) at gsignal.c:2243
#16 0x00002aaaac402e5a in IA__gtk_widget_activate (widget=0x708020) at
gtkwidget.c:4706
#17 0x00002aaaac2e9d20 in IA__gtk_menu_shell_activate_item (menu_shell=0x7005f0,
menu_item=0x708020, 
    force_deactivate=<value optimized out>) at gtkmenushell.c:1145
#18 0x00002aaaac2ebc19 in gtk_menu_shell_button_release (widget=0x7005f0,
event=0x934310) at gtkmenushell.c:669
#19 0x00002aaaac2daf91 in _gtk_marshal_BOOLEAN__BOXED (closure=0x64e4d0,
return_value=0x7fffa6de1cc0, 
    n_param_values=<value optimized out>, param_values=0x7fffa6de1db0,
invocation_hint=<value optimized out>, 
    marshal_data=0x2aaaac2e1940) at gtkmarshalers.c:84
#20 0x00002aaaadb371a9 in IA__g_closure_invoke (closure=0x64e4d0,
return_value=0x7fffa6de1cc0, n_param_values=2, 
    param_values=0x7fffa6de1db0, invocation_hint=0x7fffa6de1c80) at gclosure.c:490
#21 0x00002aaaadb46e47 in signal_emit_unlocked_R (node=0x64e760, detail=0,
instance=0x7005f0, 
    emission_return=0x7fffa6de1fd0, instance_and_params=0x7fffa6de1db0) at
gsignal.c:2478
#22 0x00002aaaadb47a47 in IA__g_signal_emit_valist (instance=0x7005f0,
signal_id=<value optimized out>, detail=0, 
    var_args=0x7fffa6de2030) at gsignal.c:2209
#23 0x00002aaaadb47e43 in IA__g_signal_emit (instance=0x2aaaae9aa980,
signal_id=9185584, detail=33) at gsignal.c:2243
#24 0x00002aaaac3fdc3e in gtk_widget_event_internal (widget=0x7005f0,
event=0x934310) at gtkwidget.c:4675
#25 0x00002aaaac2d2b4c in IA__gtk_propagate_event (widget=0x7005f0,
event=0x934310) at gtkmain.c:2319
#26 0x00002aaaac2d3cb9 in IA__gtk_main_do_event (event=0x934310) at gtkmain.c:1539
#27 0x00002aaaacdd282c in gdk_event_dispatch (source=<value optimized out>,
callback=<value optimized out>, 
    user_data=<value optimized out>) at gdkevents-x11.c:2351
#28 0x00002aaaae1a3ea3 in IA__g_main_context_dispatch (context=0x6416f0) at
gmain.c:2061
#29 0x00002aaaae1a719d in g_main_context_iterate (context=0x6416f0, block=1,
dispatch=1, self=<value optimized out>)
    at gmain.c:2694
#30 0x00002aaaae1a74aa in IA__g_main_loop_run (loop=0x8e0cf0) at gmain.c:2898
#31 0x00002aaaac2d40c3 in IA__gtk_main () at gtkmain.c:1146
#32 0x0000000000408f2c in main (argc=1, argv=0x7fffa6de2498) at vinagre-main.c:112
#33 0x00002aaaae676074 in __libc_start_main (main=0x408d60 <main>, argc=1,
ubp_av=0x7fffa6de2498, 
    init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value
optimized out>, stack_end=0x7fffa6de2488)
    at libc-start.c:220
#34 0x00000000004066f9 in _start ()

Thread 1 (Thread 46912618729792 (LWP 30225)):
#0  0x00002aaaae44a085 in waitpid () from /lib64/libpthread.so.0
No locals.
#1  0x00002aaaae1d30f6 in IA__g_spawn_sync (working_directory=<value optimized
out>, argv=<value optimized out>, envp=0x0, 
    flags=<value optimized out>, child_setup=<value optimized out>,
user_data=<value optimized out>, standard_output=0x0, 
    standard_error=0x0, exit_status=0x0, error=0x7fffa6de0838) at gspawn.c:369
	outpipe = -1
	errpipe = -1
	pid = 30238
	fds = {__fds_bits = {0, 46912553874025, 16, 16, 10773920, 16, 0, 0, 9362744,
10638080, 9362720, 140735992956984, 3, 
    46912553865438, 140735992956824, 0}}
	ret = <value optimized out>
	outstr = (GString *) 0x0
	errstr = (GString *) 0x0
	failed = 0
	status = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_spawn_sync"
#2  0x00002aaaae1d33f8 in IA__g_spawn_command_line_sync (command_line=<value
optimized out>, standard_output=0x0, 
    standard_error=0x0, exit_status=0x0, error=0x7fffa6de0838) at gspawn.c:677
	retval = 0
	argv = (gchar **) 0x8edd20
	__PRETTY_FUNCTION__ = "IA__g_spawn_command_line_sync"
#3  0x00002aaab6c113f6 in gtk_main_quit () at gtkmain.c:1213
No symbol table info available.
#4  <signal handler called>
No locals.
#5  0x0000000000408c26 in vinagre_favorites_add (conn=0xa185e0, window=<value
optimized out>) at vinagre-favorites.c:162
	result = -5
	xml = (GladeXML *) 0x93fa40
	glade_file = <value optimized out>
	dialog = (GtkWidget *) 0x71c1d0
	name = (const gchar *) 0xa182b0 "reducto"
	__PRETTY_FUNCTION__ = "vinagre_favorites_add"
#6  0x0000000000406a4d in vinagre_cmd_favorites_add (action=<value optimized
out>, window=0x65a000) at vinagre-commands.c:167
	conn = (VinagreConnection *) 0xa185e0
	__PRETTY_FUNCTION__ = "vinagre_cmd_favorites_add"
#7  0x00002aaaadb371a9 in IA__g_closure_invoke (closure=0x6bae00,
return_value=0x0, n_param_values=1, 
    param_values=0x7fffa6de10e0, invocation_hint=0x7fffa6de0fb0) at gclosure.c:490
	marshal = (GClosureMarshal) 0x4062b8 <g_cclosure_marshal_VOID__VOID@plt>
	marshal_data = (gpointer) 0x0
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#8  0x00002aaaadb46831 in signal_emit_unlocked_R (node=0x67a600, detail=0,
instance=0x6b23c0, emission_return=0x0, 
    instance_and_params=0x7fffa6de10e0) at gsignal.c:2440
	tmp = <value optimized out>
	handler = (Handler *) 0x65fb30
	accumulator = (SignalAccumulator *) 0x0
	emission = {next = 0x0, instance = 0x6b23c0, ihint = {signal_id = 104, detail =
0, run_type = G_SIGNAL_RUN_FIRST}, 
  state = EMISSION_RUN, chain_type = 4}
	class_closure = (GClosure *) 0x656240
	handler_list = (Handler *) 0x65fb30
	return_accu = (GValue *) 0x0
	accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0,
v_int64 = 0, v_uint64 = 0, v_float = 0, 
      v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0,
v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
      v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 104
	max_sequential_handler_number = 513
	return_value_altered = 1
#9  0x00002aaaadb47c73 in IA__g_signal_emit_valist (instance=0x6b23c0,
signal_id=<value optimized out>, detail=0, 
    var_args=0x7fffa6de1360) at gsignal.c:2199
	_cvalue = <value optimized out>
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = 7010816, v_long = 7010816, v_int64 = 7010816, v_double =
3.4638033349141447e-317, 
    v_pointer = 0x6afa00}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0,
v_pointer = 0x0}, {v_int = -1406323328, 
    v_long = 46912521450880, v_int64 = 46912521450880, v_double =
2.317786520867036e-310, v_pointer = 0x2aaaac2d3580}, {
    v_int = 9227872, v_long = 9227872, v_int64 = 9227872, v_double =
4.5591745394203554e-317, v_pointer = 0x8cce60}, {
    v_int = -1495395392, v_long = 140735992959936, v_int64 = 140735992959936,
v_double = 6.9532819254859907e-310, 
    v_pointer = 0x7fffa6de13c0}, {v_int = 0, v_long = 0, v_int64 = 0, v_double =
0, v_pointer = 0x0}, {v_int = 0, 
    v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}, {v_int =
-1495395392, v_long = 140735992959936, 
    v_int64 = 140735992959936, v_double = 6.9532819254859907e-310, v_pointer =
0x7fffa6de13c0}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 0, data = {{v_int = -1495395392, v_uint = 2799571904,
v_long = 140735992959936, 
      v_ulong = 140735992959936, v_int64 = 140735992959936, v_uint64 =
140735992959936, v_float = -1.54096977e-15, 
      v_double = 6.9532819254859907e-310, v_pointer = 0x7fffa6de13c0}, {v_int =
9499264, v_uint = 9499264, v_long = 9499264, 
      v_ulong = 9499264, v_int64 = 9499264, v_uint64 = 9499264, v_float =
1.33113041e-38, v_double = 4.693260003176503e-317, 
      v_pointer = 0x90f280}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0x7fffa6de10e0
	stack_values = {{g_type = 6659168, data = {{v_int = 7021504, v_uint = 7021504,
v_long = 7021504, v_ulong = 7021504, 
        v_int64 = 7021504, v_uint64 = 7021504, v_float = 9.83922277e-39,
v_double = 3.469083908536896e-317, 
        v_pointer = 0x6b23c0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0,
v_int64 = 0, v_uint64 = 0, v_float = 0, 
        v_double = 0, v_pointer = 0x0}}}, {g_type = 0, data = {{v_int = 0,
v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0,
v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer =
0x0}}}, {g_type = 0, data = {{v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float
= 0, v_double = 0, v_pointer = 0x0}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 =
0, v_float = 0, v_double = 0, 
        v_pointer = 0x0}}}, {g_type = 0, data = {{v_int = 27, v_uint = 27,
v_long = 27, v_ulong = 27, v_int64 = 27, 
        v_uint64 = 27, v_float = 3.78350585e-44, v_double =
1.3339772437713657e-322, v_pointer = 0x1b}, {
        v_int = -1495395392, v_uint = 2799571904, v_long = 140735992959936,
v_ulong = 140735992959936, 
        v_int64 = 140735992959936, v_uint64 = 140735992959936, v_float =
-1.54096977e-15, 
        v_double = 6.9532819254859907e-310, v_pointer = 0x7fffa6de13c0}}},
{g_type = 9517952, data = {{v_int = -1380741163, 
        v_uint = 2914226133, v_long = 46912547033045, v_ulong = 46912547033045,
v_int64 = 46912547033045, 
        v_uint64 = 46912547033045, v_float = -2.04138182e-11, v_double =
2.3177877847939232e-310, 
        v_pointer = 0x2aaaadb38fd5}, {v_int = -1495395392, v_uint = 2799571904,
v_long = 140735992959936, 
        v_ulong = 140735992959936, v_int64 = 140735992959936, v_uint64 =
140735992959936, v_float = -1.54096977e-15, 
        v_double = 6.9532819254859907e-310, v_pointer = 0x7fffa6de13c0}}},
{g_type = 6593232, data = {{v_int = 9517952, 
        v_uint = 9517952, v_long = 9517952, v_ulong = 9517952, v_int64 =
9517952, v_uint64 = 9517952, 
        v_float = 1.33374915e-38, v_double = 4.7024931019659842e-317, v_pointer
= 0x913b80}, {v_int = -1406323165, 
        v_uint = 2888644131, v_long = 46912521451043, v_ulong = 46912521451043,
v_int64 = 46912521451043, 
        v_uint64 = 46912521451043, v_float = -2.46148306e-12, v_double =
2.3177865208750892e-310, 
        v_pointer = 0x2aaaac2d3623}}}, {g_type = 27, data = {{v_int = 9545376,
v_uint = 9545376, v_long = 9545376, 
        v_ulong = 9545376, v_int64 = 9545376, v_uint64 = 9545376, v_float =
1.33759207e-38, 
        v_double = 4.7160423582375346e-317, v_pointer = 0x91a6a0}, {v_int =
-1406323328, v_uint = 2888643968, 
        v_long = 46912521450880, v_ulong = 46912521450880, v_int64 =
46912521450880, v_uint64 = 46912521450880, 
        v_float = -2.46144771e-12, v_double = 2.317786520867036e-310, v_pointer
= 0x2aaaac2d3580}}}, {g_type = 9499392, 
    data = {{v_int = -1495395392, v_uint = 2799571904, v_long = 140735992959936,
v_ulong = 140735992959936, 
        v_int64 = 140735992959936, v_uint64 = 140735992959936, v_float =
-1.54096977e-15, 
        v_double = 6.9532819254859907e-310, v_pointer = 0x7fffa6de13c0}, {v_int
= 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer =
0x0}}}, {g_type = 0, data = {{v_int = -1495395392, 
        v_uint = 2799571904, v_long = 140735992959936, v_ulong =
140735992959936, v_int64 = 140735992959936, 
        v_uint64 = 140735992959936, v_float = -1.54096977e-15, v_double =
6.9532819254859907e-310, 
        v_pointer = 0x7fffa6de13c0}, {v_int = 9499392, v_uint = 9499392, v_long
= 9499392, v_ulong = 9499392, 
        v_int64 = 9499392, v_uint64 = 9499392, v_float = 1.33114834e-38,
v_double = 4.6933232435791707e-317, 
        v_pointer = 0x90f300}}}, {g_type = 46912547033045, data = {{v_int =
-1495395392, v_uint = 2799571904, 
        v_long = 140735992959936, v_ulong = 140735992959936, v_int64 =
140735992959936, v_uint64 = 140735992959936, 
        v_float = -1.54096977e-15, v_double = 6.9532819254859907e-310, v_pointer
= 0x7fffa6de13c0}, {v_int = 6593232, 
        v_uint = 6593232, v_long = 6593232, v_ulong = 6593232, v_int64 =
6593232, v_uint64 = 6593232, 
        v_float = 9.23908588e-39, v_double = 3.2574894262611736e-317, v_pointer
= 0x649ad0}}}, {g_type = 9499392, data = {{
        v_int = -1406323165, v_uint = 2888644131, v_long = 46912521451043,
v_ulong = 46912521451043, 
        v_int64 = 46912521451043, v_uint64 = 46912521451043, v_float =
-2.46148306e-12, v_double = 2.3177865208750892e-310, 
        v_pointer = 0x2aaaac2d3623}, {v_int = -1495395392, v_uint = 2799571904,
v_long = 140735992959936, 
        v_ulong = 140735992959936, v_int64 = 140735992959936, v_uint64 =
140735992959936, v_float = -1.54096977e-15, 
        v_double = 6.9532819254859907e-310, v_pointer = 0x7fffa6de13c0}}},
{g_type = 140735992959936, data = {{
        v_int = 9525248, v_uint = 9525248, v_long = 9525248, v_ulong = 9525248,
v_int64 = 9525248, v_uint64 = 9525248, 
        v_float = 1.33477154e-38, v_double = 4.706097804918042e-317, v_pointer =
0x915800}, {v_int = -1380741163, 
        v_uint = 2914226133, v_long = 46912547033045, v_ulong = 46912547033045,
v_int64 = 46912547033045, 
        v_uint64 = 46912547033045, v_float = -2.04138182e-11, v_double =
2.3177877847939232e-310, 
        v_pointer = 0x2aaaadb38fd5}}}, {g_type = 140735992959936, data = {{v_int
= 6593232, v_uint = 6593232, 
        v_long = 6593232, v_ulong = 6593232, v_int64 = 6593232, v_uint64 =
6593232, v_float = 9.23908588e-39, 
        v_double = 3.2574894262611736e-317, v_pointer = 0x649ad0}, {v_int =
9525248, v_uint = 9525248, v_long = 9525248, 
        v_ulong = 9525248, v_int64 = 9525248, v_uint64 = 9525248, v_float =
1.33477154e-38, 
        v_double = 4.706097804918042e-317, v_pointer = 0x915800}}}, {g_type =
46912521451043, data = {{v_int = -1495395392, 
        v_uint = 2799571904, v_long = 140735992959936, v_ulong =
140735992959936, v_int64 = 140735992959936, 
        v_uint64 = 140735992959936, v_float = -1.54096977e-15, v_double =
6.9532819254859907e-310, 
        v_pointer = 0x7fffa6de13c0}, {v_int = -1495395392, v_uint = 2799571904,
v_long = 140735992959936, 
        v_ulong = 140735992959936, v_int64 = 140735992959936, v_uint64 =
140735992959936, v_float = -1.54096977e-15, 
        v_double = 6.9532819254859907e-310, v_pointer = 0x7fffa6de13c0}}},
{g_type = 9511264, data = {{v_int = -1380741163, 
        v_uint = 2914226133, v_long = 46912547033045, v_ulong = 46912547033045,
v_int64 = 46912547033045, 
        v_uint64 = 46912547033045, v_float = -2.04138182e-11, v_double =
2.3177877847939232e-310, 
        v_pointer = 0x2aaaadb38fd5}, {v_int = -1495395392, v_uint = 2799571904,
v_long = 140735992959936, 
        v_ulong = 140735992959936, v_int64 = 140735992959936, v_uint64 =
140735992959936, v_float = -1.54096977e-15, 
        v_double = 6.9532819254859907e-310, v_pointer = 0x7fffa6de13c0}}},
{g_type = 6593232, data = {{v_int = 9511264, 
        v_uint = 9511264, v_long = 9511264, v_ulong = 9511264, v_int64 =
9511264, v_uint64 = 9511264, 
        v_float = 1.33281196e-38, v_double = 4.699188790926598e-317, v_pointer =
0x912160}, {v_int = -1406323165, 
        v_uint = 2888644131, v_long = 46912521451043, v_ulong = 46912521451043,
v_int64 = 46912521451043, 
        v_uint64 = 46912521451043, v_float = -2.46148306e-12, v_double =
2.3177865208750892e-310, 
        v_pointer = 0x2aaaac2d3623}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 4
	param_values = (GValue *) 0x7fffa6de10f8
	node = (SignalNode *) 0x67a600
	i = 1
	n_params = 0
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#10 0x00002aaaadb47e43 in IA__g_signal_emit (instance=0x2aaaae9aa980,
signal_id=9185584, detail=33) at gsignal.c:2243
	var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area =
0x7fffa6de1440, reg_save_area = 0x7fffa6de1380}}
#11 0x00002aaaac1e2333 in _gtk_action_emit_activate (action=0x6b23c0) at
gtkaction.c:872
	group = (GtkActionGroup *) 0x673540
#12 0x00002aaaadb371a9 in IA__g_closure_invoke (closure=0x6c2380,
return_value=0x0, n_param_values=1, 
    param_values=0x7fffa6de16e0, invocation_hint=0x7fffa6de15b0) at gclosure.c:490
	marshal = (GClosureMarshal) 0x4062b8 <g_cclosure_marshal_VOID__VOID@plt>
	marshal_data = (gpointer) 0x0
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#13 0x00002aaaadb46831 in signal_emit_unlocked_R (node=0x6c0600, detail=0,
instance=0x708020, emission_return=0x0, 
    instance_and_params=0x7fffa6de16e0) at gsignal.c:2440
	tmp = <value optimized out>
	handler = (Handler *) 0x6bd2d0
	accumulator = (SignalAccumulator *) 0x0
	emission = {next = 0x7fffa6de1c70, instance = 0x708020, ihint = {signal_id =
118, detail = 0, 
    run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
	class_closure = (GClosure *) 0x6cbbc0
	handler_list = (Handler *) 0x6bd2d0
	return_accu = (GValue *) 0x0
	accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0,
v_int64 = 0, v_uint64 = 0, v_float = 0, 
      v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0,
v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
      v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 118
	max_sequential_handler_number = 513
	return_value_altered = 1
#14 0x00002aaaadb47c73 in IA__g_signal_emit_valist (instance=0x708020,
signal_id=<value optimized out>, detail=0, 
    var_args=0x7fffa6de1960) at gsignal.c:2199
	_cvalue = <value optimized out>
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer =
0x0}, {v_int = -1365595776, 
    v_long = 46912562178432, v_int64 = 46912562178432, v_double =
2.3177885330754642e-310, v_pointer = 0x2aaaae9aa980}, {
    v_int = 5022, v_long = 5022, v_int64 = 5022, v_double =
2.4811976734147401e-320, v_pointer = 0x139e}, {v_int = 6476960, 
    v_long = 6476960, v_int64 = 6476960, v_double = 3.2000434254879202e-317,
v_pointer = 0x62d4a0}, {v_int = -1495393848, 
    v_long = 140735992961480, v_int64 = 140735992961480, v_double =
6.9532819255622744e-310, v_pointer = 0x7fffa6de19c8}, {
    v_int = -1495393992, v_long = 140735992961336, v_int64 = 140735992961336,
v_double = 6.9532819255551599e-310, 
    v_pointer = 0x7fffa6de1938}, {v_int = -1495393992, v_long = 140735992961336,
v_int64 = 140735992961336, 
    v_double = 6.9532819255551599e-310, v_pointer = 0x7fffa6de1938}, {v_int =
-1368596692, v_long = 46912559177516, 
    v_int64 = 46912559177516, v_double = 2.317788384810514e-310, v_pointer =
0x2aaaae6cdf2c}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 0, data = {{v_int = 6473728, v_uint = 6473728, v_long
= 6473728, v_ulong = 6473728, 
      v_int64 = 6473728, v_uint64 = 6473728, v_float = 9.0716251e-39, v_double =
3.1984466053205613e-317, 
      v_pointer = 0x62c800}, {v_int = -1495393776, v_uint = 2799573520, v_long =
140735992961552, v_ulong = 140735992961552, 
      v_int64 = 140735992961552, v_uint64 = 140735992961552, v_float =
-1.54114087e-15, v_double = 6.9532819255658317e-310, 
      v_pointer = 0x7fffa6de1a10}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0x7fffa6de16e0
	stack_values = {{g_type = 6790240, data = {{v_int = 7372832, v_uint = 7372832,
v_long = 7372832, v_ulong = 7372832, 
        v_int64 = 7372832, v_uint64 = 7372832, v_float = 1.03315382e-38,
v_double = 3.6426630037590094e-317, 
        v_pointer = 0x708020}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0,
v_int64 = 0, v_uint64 = 0, v_float = 0, 
        v_double = 0, v_pointer = 0x0}}}, {g_type = 8596411552, data = {{v_int =
-1495394480, v_uint = 2799572816, 
        v_long = 140735992960848, v_ulong = 140735992960848, v_int64 =
140735992960848, v_uint64 = 140735992960848, 
        v_float = -1.54106633e-15, v_double = 6.9532819255310495e-310, v_pointer
= 0x7fffa6de1750}, {v_int = 6476984, 
        v_uint = 6476984, v_long = 6476984, v_ulong = 6476984, v_int64 =
6476984, v_uint64 = 6476984, 
        v_float = 9.07618773e-39, v_double = 3.2000552830634204e-317, v_pointer
= 0x62d4b8}}}, {g_type = 140735992961244, 
    data = {{v_int = -1319802727, v_uint = 2975164569, v_long = 46912607971481,
v_ulong = 46912607971481, 
        v_int64 = 46912607971481, v_uint64 = 46912607971481, v_float =
-3.10550363e-09, v_double = 2.3177907955526971e-310, 
        v_pointer = 0x2aaab1556899}, {v_int = 1, v_uint = 1, v_long = 1, v_ulong
= 1, v_int64 = 1, v_uint64 = 1, 
        v_float = 1.40129846e-45, v_double = 4.9406564584124654e-324, v_pointer
= 0x1}}}, {g_type = 46912562178432, data = {{
        v_int = 16, v_uint = 16, v_long = 16, v_ulong = 16, v_int64 = 16,
v_uint64 = 16, v_float = 2.24207754e-44, 
        v_double = 7.9050503334599447e-323, v_pointer = 0x10}, {v_int = 0,
v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {g_type =
32, data = {{v_int = 6477140, 
        v_uint = 6477140, v_long = 6477140, v_ulong = 6477140, v_int64 =
6477140, v_uint64 = 6477140, 
        v_float = 9.07640634e-39, v_double = 3.2001323573041716e-317, v_pointer
= 0x62d554}, {v_int = 448, v_uint = 448, 
        v_long = 448, v_ulong = 448, v_int64 = 448, v_uint64 = 448, v_float =
6.27781712e-43, 
        v_double = 2.2134140933687845e-321, v_pointer = 0x1c0}}}, {g_type =
46912559171834, data = {{v_int = 6476960, 
        v_uint = 6476960, v_long = 6476960, v_ulong = 6476960, v_int64 =
6476960, v_uint64 = 6476960, 
        v_float = 9.0761541e-39, v_double = 3.2000434254879202e-317, v_pointer =
0x62d4a0}, {v_int = 9483632, 
        v_uint = 9483632, v_long = 9483632, v_ulong = 9483632, v_int64 =
9483632, v_uint64 = 9483632, 
        v_float = 1.3289399e-38, v_double = 4.6855367690007126e-317, v_pointer =
0x90b570}}}, {g_type = 0, data = {{
        v_int = -1319797576, v_uint = 2975169720, v_long = 46912607976632,
v_ulong = 46912607976632, 
        v_int64 = 46912607976632, v_uint64 = 46912607976632, v_float =
-3.10664738e-09, v_double = 2.3177907958071903e-310, 
        v_pointer = 0x2aaab1557cb8}, {v_int = 329122305, v_uint = 329122305,
v_long = 329122305, v_ulong = 329122305, 
        v_int64 = 329122305, v_uint64 = 329122305, v_float = 3.98867834e-27,
v_double = 1.6260802418058473e-315, 
        v_pointer = 0x139e0201}}}, {g_type = 6476984, data = {{v_int = 0, v_uint
= 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 1,
v_uint = 1, v_long = 1, v_ulong = 1, 
        v_int64 = 1, v_uint64 = 1, v_float = 1.40129846e-45, v_double =
4.9406564584124654e-324, v_pointer = 0x1}}}, {
    g_type = 6476960, data = {{v_int = -1495394352, v_uint = 2799572944, v_long
= 140735992960976, 
        v_ulong = 140735992960976, v_int64 = 140735992960976, v_uint64 =
140735992960976, v_float = -1.54107989e-15, 
        v_double = 6.9532819255373735e-310, v_pointer = 0x7fffa6de17d0}, {v_int
= -1495394224, v_uint = 2799573072, 
        v_long = 140735992961104, v_ulong = 140735992961104, v_int64 =
140735992961104, v_uint64 = 140735992961104, 
        v_float = -1.54109344e-15, v_double = 6.9532819255436975e-310, v_pointer
= 0x7fffa6de1850}}}, {g_type = 0, data = {{
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 =
0, v_float = 0, v_double = 0, 
        v_pointer = 0x0}, {v_int = -1319802112, v_uint = 2975165184, v_long =
46912607972096, v_ulong = 46912607972096, 
        v_int64 = 46912607972096, v_uint64 = 46912607972096, v_float =
-3.10564019e-09, v_double = 2.3177907955830822e-310, 
        v_pointer = 0x2aaab1556b00}}}, {g_type = 0, data = {{v_int = 0, v_uint =
0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0,
v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer =
0x0}}}, {g_type = 0, data = {{v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float
= 0, v_double = 0, v_pointer = 0x0}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 =
0, v_float = 0, v_double = 0, 
        v_pointer = 0x0}}}, {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long
= 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
        v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0,
v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {g_type =
0, data = {{v_int = 0, v_uint = 0, 
        v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0,
v_double = 0, v_pointer = 0x0}, {v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float
= 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64
= 0, v_uint64 = 0, v_float = 0, 
        v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0,
v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
        v_float = 0, v_double = 0, v_pointer = 0x0}}}, {g_type = 0, data =
{{v_int = 8, v_uint = 8, v_long = 8, v_ulong = 8, 
        v_int64 = 8, v_uint64 = 8, v_float = 1.12103877e-44, v_double =
3.9525251667299724e-323, v_pointer = 0x8}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 =
0, v_float = 0, v_double = 0, 
        v_pointer = 0x0}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 4
	param_values = (GValue *) 0x7fffa6de16f8
	node = (SignalNode *) 0x6c0600
	i = 2799572736
	n_params = 0
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#15 0x00002aaaadb47e43 in IA__g_signal_emit (instance=0x2aaaae9aa980,
signal_id=9185584, detail=33) at gsignal.c:2243
	var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area =
0x7fffa6de1a40, reg_save_area = 0x7fffa6de1980}}
#16 0x00002aaaac402e5a in IA__gtk_widget_activate (widget=0x708020) at
gtkwidget.c:4706
	__PRETTY_FUNCTION__ = "IA__gtk_widget_activate"
#17 0x00002aaaac2e9d20 in IA__gtk_menu_shell_activate_item (menu_shell=0x7005f0,
menu_item=0x708020, 
    force_deactivate=<value optimized out>) at gtkmenushell.c:1145
	slist = <value optimized out>
	shells = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__gtk_menu_shell_activate_item"
#18 0x00002aaaac2ebc19 in gtk_menu_shell_button_release (widget=0x7005f0,
event=0x934310) at gtkmenushell.c:669
	submenu = (GtkWidget *) 0x0
	menu_shell = (GtkMenuShell *) 0x7005f0
#19 0x00002aaaac2daf91 in _gtk_marshal_BOOLEAN__BOXED (closure=0x64e4d0,
return_value=0x7fffa6de1cc0, 
    n_param_values=<value optimized out>, param_values=0x7fffa6de1db0,
invocation_hint=<value optimized out>, 
    marshal_data=0x2aaaac2e1940) at gtkmarshalers.c:84
	data1 = (gpointer) 0x7005f0
	data2 = (gpointer) 0x6497b0
	v_return = <value optimized out>
	__PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#20 0x00002aaaadb371a9 in IA__g_closure_invoke (closure=0x64e4d0,
return_value=0x7fffa6de1cc0, n_param_values=2, 
    param_values=0x7fffa6de1db0, invocation_hint=0x7fffa6de1c80) at gclosure.c:490
	marshal = (GClosureMarshal) 0x2aaaadb35930 <g_type_class_meta_marshal>
	marshal_data = (gpointer) 0x160
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#21 0x00002aaaadb46e47 in signal_emit_unlocked_R (node=0x64e760, detail=0,
instance=0x7005f0, 
    emission_return=0x7fffa6de1fd0, instance_and_params=0x7fffa6de1db0) at
gsignal.c:2478
	tmp = <value optimized out>
	handler = <value optimized out>
	accumulator = (SignalAccumulator *) 0x64e560
	emission = {next = 0x0, instance = 0x7005f0, ihint = {signal_id = 36, detail =
0, run_type = G_SIGNAL_RUN_LAST}, 
  state = EMISSION_RUN, chain_type = 6919936}
	class_closure = (GClosure *) 0x64e4d0
	handler_list = (Handler *) 0x0
	return_accu = (GValue *) 0x7fffa6de1cc0
	accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0,
v_int64 = 0, v_uint64 = 0, 
      v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0,
v_long = 0, v_ulong = 0, v_int64 = 0, 
      v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 36
	max_sequential_handler_number = 513
	return_value_altered = 0
#22 0x00002aaaadb47a47 in IA__g_signal_emit_valist (instance=0x7005f0,
signal_id=<value optimized out>, detail=0, 
    var_args=0x7fffa6de2030) at gsignal.c:2209
	return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0,
v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
      v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0,
v_long = 0, v_ulong = 0, v_int64 = 0, 
      v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0x7fffa6de1db0
	stack_values = {{g_type = 6919936, data = {{v_int = 7341552, v_uint = 7341552,
v_long = 7341552, v_ulong = 7341552, 
        v_int64 = 7341552, v_uint64 = 7341552, v_float = 1.02877055e-38,
v_double = 3.6272086303570952e-317, 
        v_pointer = 0x7005f0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0,
v_int64 = 0, v_uint64 = 0, v_float = 0, 
        v_double = 0, v_pointer = 0x0}}}, {g_type = 6611568, data = {{v_int =
9650960, v_uint = 9650960, v_long = 9650960, 
        v_ulong = 9650960, v_int64 = 9650960, v_uint64 = 9650960, v_float =
1.35238754e-38, 
        v_double = 4.7682077853880367e-317, v_pointer = 0x934310}, {v_int =
134217728, v_uint = 134217728, 
        v_long = 134217728, v_ulong = 134217728, v_int64 = 134217728, v_uint64 =
134217728, v_float = 3.85185989e-34, 
        v_double = 6.631236846766476e-316, v_pointer = 0x8000000}}}, {g_type =
140735992963280, data = {{v_int = 9224528, 
        v_uint = 9224528, v_long = 9224528, v_ulong = 9224528, v_int64 =
9224528, v_uint64 = 9224528, 
        v_float = 1.29263169e-38, v_double = 4.5575223839006623e-317, v_pointer
= 0x8cc150}, {v_int = 10418992, 
        v_uint = 10418992, v_long = 10418992, v_ulong = 10418992, v_int64 =
10418992, v_uint64 = 10418992, 
        v_float = 1.46001175e-38, v_double = 5.147666011494781e-317, v_pointer =
0x9efb30}}}, {g_type = 46912533078479, 
    data = {{v_int = -1404294263, v_uint = 2890673033, v_long = 46912523479945,
v_ulong = 46912523479945, 
        v_int64 = 46912523479945, v_uint64 = 46912523479945, v_float =
-2.90143105e-12, v_double = 2.3177866211161669e-310, 
        v_pointer = 0x2aaaac4c2b89}, {v_int = -1394808484, v_uint = 2900158812,
v_long = 46912532965724, 
        v_ulong = 46912532965724, v_int64 = 46912532965724, v_uint64 =
46912532965724, v_float = -6.27868417e-12, 
        v_double = 2.3177870897759197e-310, v_pointer = 0x2aaaacdce95c}}},
{g_type = 140735992962608, data = {{
        v_int = -1495392352, v_uint = 2799574944, v_long = 140735992962976,
v_ulong = 140735992962976, 
        v_int64 = 140735992962976, v_uint64 = 140735992962976, v_float =
-1.54129164e-15, 
        v_double = 6.9532819256361866e-310, v_pointer = 0x7fffa6de1fa0}, {v_int
= 6521248, v_uint = 6521248, 
        v_long = 6521248, v_ulong = 6521248, v_int64 = 6521248, v_uint64 =
6521248, v_float = 9.13821481e-39, 
        v_double = 3.2219246048109373e-317, v_pointer = 0x6381a0}}}, {g_type =
6521248, data = {{v_int = 0, v_uint = 0, 
        v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0,
v_double = 0, v_pointer = 0x0}, {v_int = 20, 
        v_uint = 20, v_long = 20, v_ulong = 20, v_int64 = 20, v_uint64 = 20,
v_float = 2.80259693e-44, 
        v_double = 9.8813129168249309e-323, v_pointer = 0x14}}}, {g_type = 20,
data = {{v_int = 6383648, v_uint = 6383648, 
        v_long = 6383648, v_ulong = 6383648, v_int64 = 6383648, v_uint64 =
6383648, v_float = 8.94539614e-39, 
        v_double = 3.1539411719431818e-317, v_pointer = 0x616820}, {v_int = 20,
v_uint = 20, v_long = 20, v_ulong = 20, 
        v_int64 = 20, v_uint64 = 20, v_float = 2.80259693e-44, v_double =
9.8813129168249309e-323, v_pointer = 0x14}}}, {
    g_type = 46912547159958, data = {{v_int = 24, v_uint = 24, v_long = 24,
v_ulong = 24, v_int64 = 24, v_uint64 = 24, 
        v_float = 3.36311631e-44, v_double = 1.1857575500189917e-322, v_pointer
= 0x18}, {v_int = -1495392352, 
        v_uint = 2799574944, v_long = 140735992962976, v_ulong =
140735992962976, v_int64 = 140735992962976, 
        v_uint64 = 140735992962976, v_float = -1.54129164e-15, v_double =
6.9532819256361866e-310, 
        v_pointer = 0x7fffa6de1fa0}}}, {g_type = 6516768, data = {{v_int = 0,
v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0},
{v_int = 9224528, v_uint = 9224528, 
        v_long = 9224528, v_ulong = 9224528, v_int64 = 9224528, v_uint64 =
9224528, v_float = 1.29263169e-38, 
        v_double = 4.5575223839006623e-317, v_pointer = 0x8cc150}}}, {g_type =
10418992, data = {{v_int = 9224528, 
        v_uint = 9224528, v_long = 9224528, v_ulong = 9224528, v_int64 =
9224528, v_uint64 = 9224528, 
        v_float = 1.29263169e-38, v_double = 4.5575223839006623e-317, v_pointer
= 0x8cc150}, {v_int = 10418992, 
        v_uint = 10418992, v_long = 10418992, v_ulong = 10418992, v_int64 =
10418992, v_uint64 = 10418992, 
        v_float = 1.46001175e-38, v_double = 5.147666011494781e-317, v_pointer =
0x9efb30}}}, {g_type = 6521248, data = {{
        v_int = -1495392048, v_uint = 2799575248, v_long = 140735992963280,
v_ulong = 140735992963280, 
        v_int64 = 140735992963280, v_uint64 = 140735992963280, v_float =
-1.54132383e-15, 
        v_double = 6.9532819256512062e-310, v_pointer = 0x7fffa6de20d0}, {v_int
= 6504240, v_uint = 6504240, 
        v_long = 6504240, v_ulong = 6504240, v_int64 = 6504240, v_uint64 =
6504240, v_float = 9.11438152e-39, 
        v_double = 3.2135215363064694e-317, v_pointer = 0x633f30}}}, {g_type =
140735992963280, data = {{v_int = 9224528, 
        v_uint = 9224528, v_long = 9224528, v_ulong = 9224528, v_int64 =
9224528, v_uint64 = 9224528, 
        v_float = 1.29263169e-38, v_double = 4.5575223839006623e-317, v_pointer
= 0x8cc150}, {v_int = 1, v_uint = 1, 
        v_long = 1, v_ulong = 1, v_int64 = 1, v_uint64 = 1, v_float =
1.40129846e-45, v_double = 4.9406564584124654e-324, 
        v_pointer = 0x1}}}, {g_type = 9224528, data = {{v_int = -1380741163,
v_uint = 2914226133, v_long = 46912547033045, 
        v_ulong = 46912547033045, v_int64 = 46912547033045, v_uint64 =
46912547033045, v_float = -2.04138182e-11, 
        v_double = 2.3177877847939232e-310, v_pointer = 0x2aaaadb38fd5}, {v_int
= 1, v_uint = 1, v_long = 1, v_ulong = 1, 
        v_int64 = 1, v_uint64 = 1, v_float = 1.40129846e-45, v_double =
4.9406564584124654e-324, v_pointer = 0x1}}}, {
    g_type = 60818272, data = {{v_int = 9224528, v_uint = 9224528, v_long =
9224528, v_ulong = 9224528, v_int64 = 9224528, 
        v_uint64 = 9224528, v_float = 1.29263169e-38, v_double =
4.5575223839006623e-317, v_pointer = 0x8cc150}, {
        v_int = -1394802414, v_uint = 2900164882, v_long = 46912532971794,
v_ulong = 46912532971794, 
        v_int64 = 46912532971794, v_uint64 = 46912532971794, v_float =
-6.28131661e-12, v_double = 2.3177870900758176e-310, 
        v_pointer = 0x2aaaacdd0112}}}, {g_type = 6364224, data = {{v_int =
-1371293856, v_uint = 2923673440, 
        v_long = 46912556480352, v_ulong = 46912556480352, v_int64 =
46912556480352, v_uint64 = 46912556480352, 
        v_float = -4.45007364e-11, v_double = 2.3177882515529067e-310, v_pointer
= 0x2aaaae43b760}, {v_int = -1371293920, 
        v_uint = 2923673376, v_long = 46912556480288, v_ulong = 46912556480288,
v_int64 = 46912556480288, 
        v_uint64 = 46912556480288, v_float = -4.45005144e-11, v_double =
2.3177882515497447e-310, 
        v_pointer = 0x2aaaae43b720}}}, {g_type = 46912553903688, data = {{v_int
= 6653584, v_uint = 6653584, 
        v_long = 6653584, v_ulong = 6653584, v_int64 = 6653584, v_uint64 =
6653584, v_float = 9.32365704e-39, 
        v_double = 3.2873072761189845e-317, v_pointer = 0x658690}, {v_int = 0,
v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 20
	param_values = (GValue *) 0x7fffa6de1dc8
	node = (SignalNode *) 0x64e760
	i = 1
	n_params = 1
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#23 0x00002aaaadb47e43 in IA__g_signal_emit (instance=0x2aaaae9aa980,
signal_id=9185584, detail=33) at gsignal.c:2243
	var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area =
0x7fffa6de2110, reg_save_area = 0x7fffa6de2050}}
#24 0x00002aaaac3fdc3e in gtk_widget_event_internal (widget=0x7005f0,
event=0x934310) at gtkwidget.c:4675
	signal_num = <value optimized out>
	return_val = 0
#25 0x00002aaaac2d2b4c in IA__gtk_propagate_event (widget=0x7005f0,
event=0x934310) at gtkmain.c:2319
	tmp = (GtkWidget *) 0x7005f0
	handled_event = 0
	__PRETTY_FUNCTION__ = "IA__gtk_propagate_event"
#26 0x00002aaaac2d3cb9 in IA__gtk_main_do_event (event=0x934310) at gtkmain.c:1539
	event_widget = (GtkWidget *) 0x708020
	grab_widget = (GtkWidget *) 0x708020
	window_group = (GtkWindowGroup *) 0x8cb840
	rewritten_event = (GdkEvent *) 0x0
	tmp_list = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#27 0x00002aaaacdd282c in gdk_event_dispatch (source=<value optimized out>,
callback=<value optimized out>, 
    user_data=<value optimized out>) at gdkevents-x11.c:2351
	display = <value optimized out>
	event = (GdkEvent *) 0x934310
#28 0x00002aaaae1a3ea3 in IA__g_main_context_dispatch (context=0x6416f0) at
gmain.c:2061
No locals.
#29 0x00002aaaae1a719d in g_main_context_iterate (context=0x6416f0, block=1,
dispatch=1, self=<value optimized out>)
    at gmain.c:2694
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x8e1fc0
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#30 0x00002aaaae1a74aa in IA__g_main_loop_run (loop=0x8e0cf0) at gmain.c:2898
	got_ownership = <value optimized out>
	self = (GThread *) 0x62a420
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#31 0x00002aaaac2d40c3 in IA__gtk_main () at gtkmain.c:1146
	tmp_list = (GList *) 0x0
	functions = (GList *) 0x0
	init = (GtkInitFunction *) 0x65a000
	loop = (GMainLoop *) 0x8e0cf0
#32 0x0000000000408f2c in main (argc=1, argv=0x7fffa6de2498) at vinagre-main.c:112
	context = <value optimized out>
	error = (GError *) 0x0
	l = (GSList *) 0x65a000
	next = (GSList *) 0x65a000
#33 0x00002aaaae676074 in __libc_start_main (main=0x408d60 <main>, argc=1,
ubp_av=0x7fffa6de2498, 
    init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value
optimized out>, stack_end=0x7fffa6de2488)
    at libc-start.c:220
	result = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {46912498326464,
6405190300336947804, 0, 140735992964240, 0, 0, 
        -6405100430424243620, 988138154802446940}, mask_was_saved = 0}}, priv =
{pad = {0x0, 0x0, 0x40d0b0, 0x7fffa6de2498}, 
    data = {prev = 0x0, cleanup = 0x0, canceltype = 4247728}}}
	not_first_call = <value optimized out>
#34 0x00000000004066f9 in _start ()
No symbol table info available.
#0  0x00002aaaae44a085 in waitpid () from /lib64/libpthread.so.0
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors (7509 sec old) ---------------------
(claws-mail:3479): Claws-Mail-WARNING **: can't fetch message 11444
(claws-mail:3479): Claws-Mail-WARNING **: can't fetch message 11445
(claws-mail:3479): Claws-Mail-WARNING **: can't fetch message 11446
(claws-mail:3479): Claws-Mail-WARNING **: can't fetch message 11449
...Too much output, ignoring rest...
--------------------------------------------------
Comment 3 Bastien Nocera 2007-10-25 11:34:20 EDT
Building now at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=214168

Please test, so I can get it tagged for F-8 and add the patch to devel.
Comment 4 Jesse Keating 2007-10-25 12:10:38 EDT
Confirmed to fix the issue.  Tagging for F8.

Note You need to log in before you can comment on or make changes to this bug.